About Logical network diagrams

Logical Network diagram example

The Logical Network Diagram solution includes the templates you need to create and manage logical and physical network diagrams. Using the Logical Network Diagram solution, you can create:

  • Logical network diagrams to represent the equipment in a network and how the pieces are interconnected.
  • Physical network diagrams to represent network equipment as it is physically connected, or as it is arranged at a specific site, such as a server room.

You can also include logical and physical network diagrams in drill-down diagrams.

Drill-down network diagrams consist of several levels of detail, and show each level on a separate drawing page. You can create jumps between the pages that enable the user to "drill down" through the levels.

Create a logical network diagram


Create a logical network diagram

Show me an example

  1. Place the shapes representing your network on the drawing page, and then arrange and connect them to represent the network.
  2. Optional: Assign shapes to layers to view or print categories of shapes.
  3. Optional: Modify the network shapes as necessary.

Click to show or hide information. How?

  1. Select a shape on the drawing page, and then on the Shape menu, point to Grouping, and then click Ungroup.

A message indicates that ungrouping the shape breaks its link to the master. If the message box doesn't appear, the shape has several grouping levels. Repeat the Ungroup command until the message box appears.

  2. Click OK in the message box.
  3. Select the shape again, and then on the Shape menu, point to Grouping, and then click Ungroup again. The shape is separated into its parts.
  4. Make the desired modifications. For example, to change the model name on the faceplate, delete the current text, and then type the new text, using the same font and size.
  5. When you are finished modifying the shape, select all of its component shapes, and then on the Shape menu, point to Grouping, and then click Group.
  6. To convert the new shape to enhanced metafile format, with the shape still selected, on the Edit menu, click Cut to cut the shape; then on the Edit menu, click Paste Special.
  7. In the Paste Special dialog box, click Enhanced Metafile, and then click OK.

A copy of the shape is pasted into the drawing.

  4. Optional: Do any or all of the following.

Click to show or hide information. Add data to shapes

  1. Drag a shape representing a network device or topology onto your network diagram.
  2. Right-click the shape, click Shape, and then click Custom Properties.
  3. In the Custom Properties dialog box, type values for the properties you want, and then click OK.

Click to show or hide information. Add or edit custom properties of a network shape master

  1. If you are not currently running Microsoft Visio in developer mode, switch to it now.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, select Run in developer mode.
  3. Click OK.
  2. Right-click the stencil's title bar, and then click Edit.
  3. Right-click the master to which you want to add custom properties, and then click Edit Master.
  4. Right-click the shape on the stencil or on the drawing page, and then click Shape, and then click Custom Properties. In the Network Shape Properties dialog box, click Define.

The Define Custom Properties dialog box opens. The Properties list shows the properties that are already defined for the shape.

  5. Do one of the following:
  • Add a custom property by clicking New and then editing the property characteristics as necessary.
  • Edit a custom property by choosing the property from the Properties list and then editing the property characteristics as necessary.
  6. For Sort Key, enter the name of the tab on which you want the property to be displayed.

If you enter a tab name that does not currently appear in the Network Shape Properties window, a tab with that name is created when you click OK.

  7. Optional: To add or edit another property, click New, and then repeat steps 4 and 5.
  8. Click OK. When prompted, click Yes to update the shape's properties. You can then see the changes you've made to that shape's custom properties.
  9. Optional: Exit developer mode.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, clear the Run in developer mode check box.
  3. Click OK.

Click to show or hide information. Add or edit custom properties of a network shape instance

  1. If you are not currently running Microsoft Visio in Developer Mode, switch to it now.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, select Run in developer mode.
  3. Click OK.
  2. Right-click the shape on the drawing page, then click Properties on the shortcut menu. In the Network Shape Properties dialog box, click Define.

The Define Custom Properties dialog box opens. The Properties list shows the properties that are already defined for the shape.

  3. Click New to create a new custom property for the shape.
  4. Do one of the following:
  • Add a custom property by clicking New and then editing the property characteristics as necessary.
  • Edit a custom property by choosing a property from the Properties list and then editing the property characteristics as necessary.
  5. For Sort Key, enter the name of the tab on which you want the property to be displayed.

If you enter a tab name that does not currently appear in the Network Shape Properties window, a tab with that name is created when you click OK.

  6. Optional: To add or edit another property, click New, and then repeat steps 5 and 6.
  7. Click OK, and then see the changes you've made to a shape's custom properties.
  8. Optional: Exit Developer Mode.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, clear the Run in developer mode check box.
  3. Click OK.

Click to show or hide information. Delete custom properties of a network shape master

  1. If you are not currently running Microsoft Visio in developer mode, switch to it now.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, select Run in developer mode.
  3. Click OK.
  2. Right-click the stencil's title bar, and then click Edit.
  3. Right-click the shape you want for which you want to modify custom properties, and then click Edit Master.
  4. Right-click the shape, and then click Properties. In the Network Shape Properties dialog box, click Define.

The Define Custom Properties dialog box opens. The Properties list shows the properties that are already defined for the shape.

  5. Choose the property on the Properties list, and then click Delete.

Note If you delete every property that appears on a tab, that tab is deleted as well.

  6. Optional: To delete another property, repeat step 5.
  7. Click OK, and then see the changes you've made to that shape's custom properties.
  8. Optional: Exit developer mode.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, clear the Run in developer mode check box.
  3. Click OK.

Note Many Visio shapes come with custom properties already assigned. It's best not to delete these fields because they can affect other aspects of shape behavior.

Click to show or hide information. Generate a report from a network diagram

  1. Open the network diagram from which you want to generate a report.
  2. Add the data you want to report on to the network shapes, if you haven't done so.
  3. On the Tools menu, point to Add-Ons, point to Visio Extras, and then click Report.
  4. In the Report dialog box, click New to create a new report, or select an existing report to generate, and then click Run.

When creating a new report, follow the directions on the Report Definition Wizard pages to walk you through creating a report.

  5. Optional: Link shapes to other drawing pages, other files, or World Wide Web locations.
  6. On the File menu, click Save to save the diagram.


Create a logical network diagram by dragging shapes onto the drawing page

  1. On the File menu, point to New, point to Network, and then click Logical Network Diagram.

Note If you are creating a drill-down diagram, open the file that contains the other (geographic or physical) levels of the diagram instead.

  2. From the Logical Symbols stencil, drag an Ethernet, FDDI Ring, or other network topology shape onto the drawing page.
  3. From the logical network stencils, drag computer, printer, and other shapes to indicate the devices connected to the network that the network topology shape represents.
  4. Attach the devices to the network topology shape using the network topology shape's built-in connectors.

Click to show or hide information. Attach devices to a network topology shape

  1. In your network diagram, select a network topology shape representing a ring, bus, Ethernet, or other network structure.
  2. Place the pointer over a control handle [image]. When the pointer changes to a four-way arrow, drag it to a connection point [image] on one of the device shapes.
  3. The connection point turns red when the connector is glued to the shape, indicating that you can move the shape without breaking the connection.

Click to show or hide information. Attach more than eight devices to a network topology shape

  1. Drag a network topology shape, such as the Bus, Ethernet, or Token-ring shape, onto your network diagram to represent your network structure.
  2. Drag shapes representing eight of the devices you want to connect to the network, and then attach the devices to the network topology shape.
  3. Drag a second network topology shape directly on top of the first shape.
  4. Drag shapes representing the additional devices you want to connect to the network on the drawing page.
  5. Drag the control handles [image] on the second network topology shape and glue them to the connection points [image] on the additional devices.

  5. Select any network shape, and then type to replace the existing text with the name or description of the network device, a person's name, or a room number. Drag the control handle [image] to reposition the text.
  6. Use the Cloud, Comm-link, and other connector shapes on the stencils to indicate connections to devices outside of a network.
  7. Optional: Add custom properties to shapes, enter values in a shape's custom properties, and then generate a report based on that data.

Click to show or hide information. Add or edit custom properties of a network shape master

  1. If you are not currently running Microsoft Visio in developer mode, switch to it now.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, select Run in developer mode.
  3. Click OK.
  2. Right-click the stencil's title bar, and then choose Edit.
  3. Right-click a shape on the stencil with the custom properties you want to add to or edit, and then click Edit Master.
  4. Right-click the shape, and then click Properties. In the Network Shape Properties dialog box, click Define.

The Define Custom Properties dialog box opens. The Properties list shows the properties that are already defined for the shape.

  5. Do one of the following:
  • Add a custom property by clicking New and then editing the property characteristics as necessary.
  • Edit a custom property by choosing the property from the Properties list and then editing the property characteristics as necessary.

If you enter a tab name that does not currently appear in the Network Shape Properties window, a tab with that name is created when you click OK.

  6. For Sort Key, enter the name of the tab on which you want the property to be displayed.

If you enter a tab name which does not currently appear in the Network Shape Properties window, a tab with that name is created when you click OK.

  7. Optional: To add or edit another property, click New, and then repeat steps 5 and 6.
  8. Click OK, and then see the changes you've made to a shape's custom properties.

Click to show or hide information. Add or edit custom properties of a network shape instance

  1. If you are not currently running Microsoft Visio in Developer Mode, switch to it now.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, select Run in developer mode.
  3. Click OK.
  2. Right-click the shape on the drawing page, then click Properties on the shortcut menu. In the Network Shape Properties dialog box, click Define.

The Define Custom Properties dialog box opens. The Properties list shows the properties that are already defined for the shape.

  3. Click New to create a new custom property for the shape.
  4. Do one of the following:
  • Add a custom property by clicking New and then editing the property characteristics as necessary.
  • Edit a custom property by choosing a property from the Properties list and then editing the property characteristics as necessary.
  5. For Sort Key, enter the name of the tab on which you want the property to be displayed.

If you enter a tab name that does not currently appear in the Network Shape Properties window, a tab with that name is created when you click OK.

  6. Optional: To add or edit another property, click New, and then repeat steps 5 and 6.
  7. Click OK, and then see the changes you've made to a shape's custom properties.
  8. Optional: Exit Developer Mode.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, clear the Run in developer mode check box.
  3. Click OK.

Click to show or hide information. Delete custom properties of a network shape master

  1. If you are not currently running Microsoft Visio in developer mode, switch to it now.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, select Run in developer mode.
  3. Click OK.
  2. Right-click the stencil's title bar, and then click Edit.
  3. Right-click the shape you want for which you want to modify custom properties, and then click Edit Master.
  4. Right-click the shape, and then click Properties. In the Network Shape Properties dialog box, click Define.

The Define Custom Properties dialog box opens. The Properties list shows the properties that are already defined for the shape.

  5. Choose the property on the Properties list, and then click Delete.

Note If you delete every property that appears on a tab, that tab is deleted as well.

  6. Optional: To delete another property, repeat step 5.
  7. Click OK, and then see the changes you've made to that shape's custom properties.
  8. Optional: Exit developer mode.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, clear the Run in developer mode check box.
  3. Click OK.

Note Many Visio shapes come with custom properties already assigned. It's best not to delete these fields because they can affect other aspects of shape behavior.

Click to show or hide information. Generate a report based on custom property data

  1. Open the network diagram from which you want to generate a report.
  2. Add the data you want to report on to the network shapes, if you haven't done so.
  3. On the Tools menu, point to Add-Ons, point to Visio Extras, and then click Report.
  4. In the Report dialog box, click New to create a new report, or select an existing report to generate, and then click Run.

When creating a new report, follow the directions on the Report Definition Wizard pages to walk you through creating a report.

  8. Optional: Add labels or other text to network shapes.


Customize the behavior of line jumps in network diagrams

  1. Open the network diagram that contains the line jumps you want to customize.
  2. On the File menu, click Page Setup.
  3. On the Layout and Routing tab, under Line jumps, specify the options you want, and then click OK.


Generate a report from a network diagram

  1. Open the network diagram from which you want to generate a report.
  2. Add the data you want to report on to the network shapes, if you haven't done so.
  3. On the Tools menu, point to Add-Ons, point to Visio Extras, and then click Report.
  4. In the Report dialog box, click New to create a new report, or select an existing report to generate, and then click Run.

When creating a new report, follow the directions on the Report Definition Wizard pages to walk you through creating a report.


About modifying network shapes

You can modify any part of a network shape. When modifying a shape, you first ungroup it to reveal all of its parts, and then change any of the parts to make a new shape. When you ungroup an instance of a master, the shape no longer inherits characteristics, such as properties, from the master on the document stencil.

Network shapes are saved in a Microsoft Windows metafile format. When you ungroup a shape, it converts the objects from metafile format into Microsoft Visio shapes. If your drawing is complex and you want to keep file size to a minimum, save newly modified shapes in enhanced metafile format.

Click to show or hide information. Modify a network shape

  1. Select a shape on the drawing page, and then on the Shape menu, point to Grouping, and then click Ungroup.

A message indicates that ungrouping the shape breaks its link to the master. If the message box doesn't appear, the shape has several grouping levels. Repeat the Ungroup command until the message box appears.

  2. Click OK in the message box.
  3. Select the shape again, and then on the Shape menu, point to Grouping, and then click Ungroup again. The shape is separated into its parts.
  4. Make the desired modifications. For example, to change the model name on the faceplate, delete the current text, and then type the new text, using the same font and size.
  5. When you are finished modifying the shape, select all of its component shapes, and then on the Shape menu, point to Grouping, and then click Group.
  6. To convert the new shape to enhanced metafile format, with the shape still selected, on the Edit menu, click Cut to cut the shape; then on the Edit menu, click Paste Special.
  7. In the Paste Special dialog box, click Enhanced Metafile, and then click OK.

A copy of the shape is pasted into the drawing.


Add data to shapes

Add data to network shapes

  1. Drag a shape representing a network device or topology onto your network diagram.
  2. Right-click the shape, click Shape, and then click Custom Properties.
  3. In the Custom Properties dialog box, type values for the properties you want, and then click OK.


Add or edit custom properties of a network shape master

  1. If you are not currently running Microsoft Visio in developer mode, switch to it now.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, select Run in developer mode.
  3. Click OK.
  2. Right-click the stencil's title bar, and then choose Edit.
  3. Right-click a shape on the stencil with the custom properties you want to add to or edit, and then click Edit Master.
  4. Right-click the shape, and then click Properties. In the Network Shape Properties dialog box, click Define.

The Define Custom Properties dialog box opens. The Properties list shows the properties that are already defined for the shape.

  5. Do one of the following:
  • Add a custom property by clicking New and then editing the property characteristics as necessary.
  • Edit a custom property by choosing the property from the Properties list and then editing the property characteristics as necessary.

If you enter a tab name that does not currently appear in the Network Shape Properties window, a tab with that name is created when you click OK.

  6. For Sort Key, enter the name of the tab on which you want the property to be displayed.

If you enter a tab name which does not currently appear in the Network Shape Properties window, a tab with that name is created when you click OK.

  7. Optional: To add or edit another property, click New, and then repeat steps 5 and 6.
  8. Click OK, and then see the changes you've made to a shape's custom properties.


Attach devices to a network topology shape

  1. In your network diagram, select a network topology shape representing a ring, bus, Ethernet, or other network structure.
  2. Place the pointer over a control handle [image]. When the pointer changes to a four-way arrow, drag it to a connection point [image] on one of the device shapes.
  3. The connection point turns red when the connector is glued to the shape, indicating that you can move the shape without breaking the connection.


Attach more than eight devices to a network topology shape

  1. Drag a network topology shape, such as the Bus, Ethernet, or Token-ring shape, onto your network diagram to represent your network structure.
  2. Drag shapes representing eight of the devices you want to connect to the network, and then attach the devices to the network topology shape.
  3. Drag a second network topology shape directly on top of the first shape.
  4. Drag shapes representing the additional devices you want to connect to the network on the drawing page.
  5. Drag the control handles [image] on the second network topology shape and glue them to the connection points [image] on the additional devices.


Delete custom properties of a network shape master

  1. If you are not currently running Microsoft Visio in developer mode, switch to it now.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, select Run in developer mode.
  3. Click OK.
  2. Right-click the stencil's title bar, and then click Edit.
  3. Right-click the shape you want for which you want to modify custom properties, and then click Edit Master.
  4. Right-click the shape, and then click Properties. In the Network Shape Properties dialog box, click Define.

The Define Custom Properties dialog box opens. The Properties list shows the properties that are already defined for the shape.

  5. Choose the property on the Properties list, and then click Delete.

Note If you delete every property that appears on a tab, that tab is deleted as well.

  6. Optional: To delete another property, repeat step 5.
  7. Click OK, and then see the changes you've made to that shape's custom properties.
  8. Optional: Exit developer mode.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, clear the Run in developer mode check box.
  3. Click OK.

Note Many Visio shapes come with custom properties already assigned. It's best not to delete these fields because they can affect other aspects of shape behavior.


Modify a network shape

  1. Select a shape on the drawing page, and then on the Shape menu, point to Grouping, and then click Ungroup.

A message indicates that ungrouping the shape breaks its link to the master. If the message box doesn't appear, the shape has several grouping levels. Repeat the Ungroup command until the message box appears.

  2. Click OK in the message box.
  3. Select the shape again, and then on the Shape menu, point to Grouping, and then click Ungroup again. The shape is separated into its parts.
  4. Make the desired modifications. For example, to change the model name on the faceplate, delete the current text, and then type the new text, using the same font and size.
  5. When you are finished modifying the shape, select all of its component shapes, and then on the Shape menu, point to Grouping, and then click Group.
  6. To convert the new shape to enhanced metafile format, with the shape still selected, on the Edit menu, click Cut to cut the shape; then on the Edit menu, click Paste Special.
  7. In the Paste Special dialog box, click Enhanced Metafile, and then click OK.

A copy of the shape is pasted into the drawing.


Number network shapes

  1. Open the network diagram in which you want to number shapes, and then display the page that includes the first shapes you want to number.
  2. If you only want to number some of the shapes, select the shapes you want to number.
  3. On the Tools menu, point to Add-Ons, point to Visio Extras, and then click Number Shapes.
  4. On the General tab, select the shape numbering options you want, and then click OK.
  5. Repeat steps 2 through 4 for each page of your drawing that has shapes you want to number.

Tip You can also set up numbering options in advance and number shapes as you create a new drawing.

  6. Add data to shapes' custom properties.

Click to show or hide information. How?

  1. Drag a shape representing a network device or topology onto your network diagram.
  2. Right-click the shape, click Shape, and then click Custom Properties.
  3. In the Custom Properties dialog box, type values for the properties you want, and then click OK.


Logical Network diagram example

An example of a logical network diagram.


Define Custom Properties dialog box

Click to show or hide information. Sort Key (Only in developer mode)

Enter the name of the tab on which you want the network property to appear. To create a new tab, type the name of the tab you want to create. For example, type User Info if you want the property to appear on the User Info tab. If there is no User Info tab yet, one is created.

Note In this dialog box, properties appear in the order in which they were created.


Switch to developer mode

  1. On the Tools menu, click Options.
  2. On the Advanced tab, select Run in developer mode.
  3. Click OK.


Exit developer mode

  1. On the Tools menu, click Options.
  2. On the Advanced tab, clear the Run in developer mode check box.
  3. Click OK.


Add or edit custom properties of a network shape instance

  1. If you are not currently running Microsoft Visio in Developer Mode, switch to it now.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, select Run in developer mode.
  3. Click OK.
  2. Right-click the shape on the drawing page, then click Properties on the shortcut menu. In the Network Shape Properties dialog box, click Define.

The Define Custom Properties dialog box opens. The Properties list shows the properties that are already defined for the shape.

  3. Click New to create a new custom property for the shape.
  4. Do one of the following:
  • Add a custom property by clicking New and then editing the property characteristics as necessary.
  • Edit a custom property by choosing a property from the Properties list and then editing the property characteristics as necessary.
  5. For Sort Key, enter the name of the tab on which you want the property to be displayed.

If you enter a tab name that does not currently appear in the Network Shape Properties window, a tab with that name is created when you click OK.

  6. Optional: To add or edit another property, click New, and then repeat steps 5 and 6.
  7. Click OK, and then see the changes you've made to a shape's custom properties.
  8. Optional: Exit Developer Mode.

Click to show or hide information. How?

  1. On the Tools menu, click Options.
  2. On the Advanced tab, clear the Run in developer mode check box.
  3. Click OK.